<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XVmPilot StructType
 * @subpackage Structs
 */
class XVmPilot extends AbstractStructBase
{
    /**
     * The dirn
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var string
     */
    public $dirn;
    /**
     * The cssName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $cssName;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for XVmPilot
     * @uses XVmPilot::setDirn()
     * @uses XVmPilot::setCssName()
     * @uses XVmPilot::setUuid()
     * @param string $dirn
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $cssName
     * @param string $uuid
     */
    public function __construct($dirn = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $cssName = null, $uuid = null)
    {
        $this
            ->setDirn($dirn)
            ->setCssName($cssName)
            ->setUuid($uuid);
    }
    /**
     * Get dirn value
     * @return string
     */
    public function getDirn()
    {
        return $this->dirn;
    }
    /**
     * Set dirn value
     * @param string $dirn
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XVmPilot
     */
    public function setDirn($dirn = null)
    {
        $this->dirn = $dirn;
        return $this;
    }
    /**
     * Get cssName value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getCssName()
    {
        return isset($this->cssName) ? $this->cssName : null;
    }
    /**
     * Set cssName value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $cssName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XVmPilot
     */
    public function setCssName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $cssName = null)
    {
        if (is_null($cssName) || (is_array($cssName) && empty($cssName))) {
            unset($this->cssName);
        } else {
            $this->cssName = $cssName;
        }
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XVmPilot
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
